Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.term
Class Term

    java.lang.Object
      gnu.prolog.term.Term

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  AtomicTerm, CompoundTerm, VariableTerm

    public abstract class Term

extends Object
implements Serializable, Cloneable

base class for all terms.

Version:
  0.0.1
Author:
  Constantine Plotniokov
See Also:
  Serialized Form

Field Summary
`static int` | `ATOM`
`static int` | `COMPOUND`
`static int` | `FLOAT`
`static int` | `INTEGER`
`static int` | `JAVA_OBJECT`
`static int` | `UNKNOWN`
`static int` | `VARIABLE`

Constructor Summary
`Term()`

Method Summary
`Object` | `clone()` clone the term.
`abstract Term` | `clone(TermCloneContext context)` clone the object using clone context
`Term` | `dereference()` dereference term.
`int` | `getTermType()` get type of term
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### VARIABLE

    public static final int VARIABLE

See Also:
  Constant Field Values

### JAVA_OBJECT

    public static final int JAVA_OBJECT

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### INTEGER

    public static final int INTEGER

See Also:
  Constant Field Values

### ATOM

    public static final int ATOM

See Also:
  Constant Field Values

### COMPOUND

    public static final int COMPOUND

See Also:
  Constant Field Values

Constructor Detail

### Term

    public Term()

Method Detail

### clone

    public Object clone()

  clone the term.

  Overrides:
    `clone` in class `Object`
  Returns:
    cloned term

### clone

    public abstract Term clone(TermCloneContext context)

  clone the object using clone context

  Parameters:
    `context` - clone context
  Returns:
    cloned term

### dereference

    public Term dereference()

  dereference term. Necessary because of `VariableTerm`. It means that the term which is eventually pointed to by however long a chain of intermediate terms is the one which you get.

  Returns:
    dereferenced term

### getTermType

    public int getTermType()

  get type of term

  Returns:
    type of term

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD